Company logoTrust Center Documentation

Get ask response by ID

Retrieve the latest ask response by ID. If the ask is still in progress, the endpoint returns the persisted in-progress payload. If the downstream job has…

GET
/api/v1/ask/{id}

Retrieve the latest ask response by ID.

If the ask is still in progress, the endpoint returns the persisted in-progress payload. If the downstream job has reached a terminal state, the terminal result is returned.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Ask response identifier

Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/ask/ask_1"

{  "id": "ask_1",  "object": "response",  "status": "in_progress",  "created_at": 1771920000}

How is this guide?